Couldn’t load Template::Stash::XS 2.20

Written by AlanV on April 1, 2009 – 10:15 pm -

If you are receiving following errors while running easyapache or any other script then go through following solutions to fix this issue.

=====================================================
Can’t locate loadable object for module Template::Stash::XS in @INC (@INC contains: /usr/local/cpanel /scripts /usr/lib/perl5/5.8.8/i686-linux /usr/lib/perl5/5.8.8 /usr/lib/perl5/site_perl/5.8.8/i686-linux /usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl/5.8.7 /usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl/5.8.5 /usr/lib/perl5/site_perl .) at /usr/lib/perl5/5.8.8/i686-linux/DynaLoader.pm line 31

BEGIN failed–compilation aborted at /usr/lib/perl5/site_perl/5.8.8/Template/Stash/XS.pm line 31.
Compilation failed in require at /scripts/cPScript/Template.pm line 14.
BEGIN failed–compilation aborted at /scripts/cPScript/Template.pm line 14.
Compilation failed in require at /scripts/cPScript/AdvConfig.pm line 9.
BEGIN failed–compilation aborted at /scripts/cPScript/AdvConfig.pm line 9.
Compilation failed in require at /scripts/cPScript/AdvConfig/apache.pm line 19.
BEGIN failed–compilation aborted at /scripts/cPScript/AdvConfig/apache.pm line 19.
Compilation failed in require at /scripts/cPScript/EditHttpdconf.pm line 37.
BEGIN failed–compilation aborted at /scripts/cPScript/EditHttpdconf.pm line 37.
Compilation failed in require at /scripts/fixmailmanwithsuexec line 14.
BEGIN failed–compilation aborted at /scripts/fixmailmanwithsuexec line 14.
======================================================

Solution:

Delete source file of perl module “XS.pm”located at /usr/lib/perl5/site_perl/5.8.8/Template/Stash/
Absolute path should be /usr/lib/perl5/site_perl/5.8.8/Template/Stash/XS.pm
Then install perl module by cPanel script /scripts/perlinstaller
/scripts/perlinstaller Template::Stash:XS.pm. It can also install from the WHM
Once it install just update cPanel by using command /scripts/upcp –force


Posted in Dedicated Server Hosting, linux, Linux VPS Hosting, VPS hosting | 1 Comment »

One Comment to “Couldn’t load Template::Stash::XS 2.20”

  1. loadable module Says:

    [...] field available as a loadable module here. This entry was posted on Saturday, March 6th, 2010 at …Couldn’t load Template::Stash::XS 2.20 |If you are receiving following errors while running easyapache or any other script then go through [...]

Leave a Comment

RSS

  • Subscribe Me

  • Tag Cloud

  • Archives